> ## Documentation Index
> Fetch the complete documentation index at: https://docs.knoxcall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Clients

> Returns a paginated list of all clients in your tenant

## List Clients

```text theme={"dark"}
GET /v1/clients
```

Returns a paginated list of all clients in your tenant.

### Query Parameters

| Parameter  | Type    | Default      | Description                                            |
| ---------- | ------- | ------------ | ------------------------------------------------------ |
| `page`     | integer | `1`          | Page number                                            |
| `per_page` | integer | `20`         | Items per page (max 100)                               |
| `sort`     | string  | `created_at` | Sort by: `created_at`, `name`, `type`, or `ip_address` |
| `order`    | string  | `desc`       | Sort direction: `asc` or `desc`                        |
| `type`     | string  | --           | Filter by client type: `user` or `server`              |

### Response

```json theme={"dark"}
{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Production Backend",
      "type": "server",
      "ip_address": "203.0.113.0/24",
      "ip_notes": {},
      "description": "Main backend servers",
      "enabled": true,
      "collection_id": null,
      "created_at": "2026-01-15T09:30:00.000Z",
      "updated_at": "2026-02-20T11:00:00.000Z"
    }
  ],
  "meta": {
    "total": 8,
    "page": 1,
    "per_page": 20,
    "total_pages": 1,
    "request_id": "550e8400-e29b-41d4-a716-446655440000"
  }
}
```

<CodeGroup>
  ```bash cURL theme={"dark"}
  curl "https://api.knoxcall.com/v1/clients?type=server" \
    -H "Authorization: Bearer tk_live_abc123..."
  ```

  ```python Python theme={"dark"}
  import requests

  resp = requests.get(
      "https://api.knoxcall.com/v1/clients",
      params={"type": "server"},
      headers={"Authorization": "Bearer tk_live_abc123..."}
  )
  clients = resp.json()["data"]
  ```

  ```javascript Node.js theme={"dark"}
  const resp = await fetch("https://api.knoxcall.com/v1/clients?type=server", {
    headers: { Authorization: "Bearer tk_live_abc123..." }
  });
  const { data: clients } = await resp.json();
  ```
</CodeGroup>
